<div style="margin-left: 10px; margin-right: 10px;">
    <button *ngIf="all" (click)="onAllClick()">All</button>
    <button *ngIf="none" (click)="onNoneClick()">None</button>
    <button *ngIf="!graph.clicked[index] && !all && !none" (click)="onButtonClick()">{{legend}}</button>
    <button *ngIf="graph.clicked[index] && !all && !none" class="button-active" (click)="onRelease()">{{legend}}</button>
</div>